Page MenuHomePhabricator

Add recommendations on how to start a meetup in your city
ClosedPublic

Authored by AlexDenisov on May 4 2019, 2:30 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

AlexDenisov created this revision.May 4 2019, 2:30 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 4 2019, 2:30 AM

Hi @AlexDenisov, I thought I could help in copy-editing this file. Very nice writing and useful advice. I am not a reviewer on LLVM though, so I cannot merge this.

llvm/docs/MeetupGuidelines.rst
21 ↗(On Diff #198132)

This might potentially be offensive to those in the Americas but not the US.

27 ↗(On Diff #198132)

Wouldn't this be a good time to mention that without a dedicated speaker microphone, the audio quality will hardly be good enough?

34 ↗(On Diff #198132)

This is confusing to me: Which of those lists is preferred?

35 ↗(On Diff #198132)

Typo: "this maling lists" --> "these mailing lists".

38 ↗(On Diff #198132)

New suggestion to cleanup this long-winded sentence:

"But as these mailing lists have high traffic and some LLVM developers are not very active on them, you may reach more interested people using the mailing feature from meetup.com."

52 ↗(On Diff #198132)

This sentence seems to be missing an ending.

61 ↗(On Diff #198132)

--> "Ask nearby universities or university departments"

AlexDenisov marked 4 inline comments as done.May 5 2019, 1:29 AM
AlexDenisov added inline comments.
llvm/docs/MeetupGuidelines.rst
21 ↗(On Diff #198132)

Very good point, I'll update this.

27 ↗(On Diff #198132)

I think we did couple of recordings simply using iPad and it was OK. But I will definitely mention the microphone, it makes sense.

34 ↗(On Diff #198132)

I think the intention was to post to all of them, I'll clarify.

52 ↗(On Diff #198132)

Good catch :)

Included changes suggested by @siedentop

AlexDenisov removed a subscriber: siedentop.

It is good idea, thanks for putting this together!

llvm/docs/MeetupGuidelines.rst
21 ↗(On Diff #198132)

Actually I am not sure it is better now: it can be seen as conflating "America" with "US" (as if there is a single culture in America).
What about "what works well in one country may not work in others"? Or if you want to be specific "what works well in the US may not work elsewhere in America or on another continent" (the latter acknowledges specially that US != America)

14 ↗(On Diff #198169)

This is tricky, if you organize an LLVM Social and intend to advertise it on the LLVM mailing list, the LLVM CoC should always apply*, it'd be strange to have a CoC for the social which is less specific than the LLVM one for instance.

*: the CoC mentions that it applies to "LLVM events such as the developer meetings and socials".

Please take into account @mehdi_amini 's valid two points. Besides this LGTM.

llvm/docs/MeetupGuidelines.rst
21 ↗(On Diff #198132)

Good point, @mehdi_amini. From the two, I would prefer the generic version without referring to any continents. The other option only mentions the US and America, without reference to Asia and Europe.

Any way, it is not the most important topic ;) Are there any LLVM socials in Antarctica yet? (No, I checked.)

AlexDenisov marked 2 inline comments as done.May 5 2019, 12:23 PM
AlexDenisov added inline comments.
llvm/docs/MeetupGuidelines.rst
21 ↗(On Diff #198132)

After a break I've got to a similar conclusion, it's better to not mention any country or a region in general. I'll update that.

14 ↗(On Diff #198169)

Hm, I certainly missed that. In Berlin, we are not using LLVM's CoC. I think the reason was that it did not exist when we started (I just checked, and indeed the meetup group was created two weeks after the first draft has landed).
I can remove the line about "any other CoC" if there is a strict requirement for the socials to follow LLVM's CoC.

If that's the case, then we'll need to reconsider code of conduct we are following at Berlin socials, but honestly, I don't think it's worth the effort, especially given that Berlin CoC does not contradict LLVM's CoC.

mehdi_amini added inline comments.May 5 2019, 12:44 PM
llvm/docs/MeetupGuidelines.rst
14 ↗(On Diff #198169)

I would at least check with the LLVM Foundation what is the appropriate language to use.

It is possible that this would work for everyone: "The LLVM CoC <https://llvm.org/docs/CodeOfConduct.html>_ applies to such social events in general, if you'd like to pick another one (example <https://berlincodeofconduct.org>_) please check with the LLVM Foundation if it is compatible with the LLVM one."

hintonda added inline comments.
llvm/docs/MeetupGuidelines.rst
48 ↗(On Diff #198169)

This seems to assume meetups should be semi formal affairs with speakers -- was that your intent?

I've only been to a dozen or so socials in Mountain View, and none of them had speakers -- they're just socials. People tend to congregate in small groups and have informal discussions. I like this format because it give me a chance to discuss ad-hoc topics, e.g, features I'd like to add or things I'm having difficulty with or don't fully understand.

kristof.beyls added inline comments.May 6 2019, 12:18 AM
llvm/docs/MeetupGuidelines.rst
48 ↗(On Diff #198169)

I think that it might be better to structure this document roughly as "Please adapt your social/meetups to what will work best for your specific situation; here are a number of ideas you can take into account when designing your specific social."

Having a talk or a roadmap of talks may work well for some socials and less well for other socials. My guess is that the Mountain View social is unique in that it has a much higher chance of an expert being present for most areas of LLVM; something that is probably less likely at socials elsewhere. Which has an impact on what the "optimal" design for the social is.

I think one of the most important points is to encourage adapting and if necessary experimenting with the format to what works locally.

AlexDenisov marked 2 inline comments as done.May 6 2019, 3:58 AM
AlexDenisov added inline comments.
llvm/docs/MeetupGuidelines.rst
14 ↗(On Diff #198169)

Agreed, I like how you put it!
I will use your wording unless we get other suggestions.

@tonic, @aadg what do you think?

48 ↗(On Diff #198169)

This seems to assume meetups should be semi formal affairs with speakers -- was that your intent?

Not really, thank you for the good catch.
This document is just a summary of what has been discussed two times at EuroLLVM. I think I simply biased by the fact that almost all meetups in Europe are like you said: semi formal affairs with speakers.

@kristof.beyls made a good point, I will put his suggestion onto the very top of the document.

aadg added inline comments.May 7 2019, 1:36 AM
llvm/docs/MeetupGuidelines.rst
14 ↗(On Diff #198169)

I think we should only mention the LLVM CoC. I would prefer to avoid fragmentation, and the LLVM CoC is what people should be expecting when they go to an LLVM event, so kind of like the least surprise rule. In case the LLVM CoC could not apply, the right approach is probably to fix it rather than working around it.
Also, do we want this to be just a recommendation ? As an organizer (leaving LLVM out of the picture), this is definitely a recommendation to other organizers. But from an LLVM community point of view, I believe our CoC should be mandatory.

AlexDenisov added reviewers: hintonda, mehdi_amini.
AlexDenisov removed subscribers: hintonda, mehdi_amini.

Explicitly stated the requirement to use LLVM's CoC.

mehdi_amini accepted this revision.May 8 2019, 6:07 PM

LGTM.

llvm/docs/MeetupGuidelines.rst
51 ↗(On Diff #198621)

Since this is the section "Meetup content", I would make it more explicit that talks are only one possible format, either as a separate point along the line of * The meetup can be organized only as a social event, or more organized with (lightning talks) or just by prepending this sentence with If you plan to have talks during your events, it's a great idea to have several talks scheduled ....

This revision is now accepted and ready to land.May 8 2019, 6:07 PM
tonic added inline comments.May 8 2019, 9:50 PM
llvm/docs/MeetupGuidelines.rst
18 ↗(On Diff #198621)

Can we rephrase this? Something like

"We highly recommend that you join the official LLVM meetup organization. In addition to covering the cost of the meetup, all LLVM meetups are advertised together and easily found by potential attendees. Please contact ... "

Included @tonic's and @mehdi_amini's suggestions.
Also restructured the thing a little bit: there is a separate section covering talks now, the 'Meetup content' moved to the 'General suggestions' section.

This revision was automatically updated to reflect the committed changes.